package com.shkj.wms.mapper;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shkj.wms.bo.BaseBarcodesOutQueryBo;
import com.shkj.wms.bo.BusinBillHeadBodyQueryBo;
import com.shkj.wms.domain.BusinBillhead;
import com.shkj.wms.vo.BusinBillHeadPlanOutVo;
import com.shkj.wms.vo.BusinBillHeadVo;
import com.shkj.wms.vo.BusinBillHeadbodyInVo;

/**
 * 出入库单汇总Mapper接口
 *
 * @author zjx
 * @date 2023-04-07
 */
public interface BusinBillheadMapper extends BaseMapper<BusinBillhead> {

    BusinBillHeadVo queryBillHeadAndBody(BusinBillHeadBodyQueryBo bo);


    BusinBillhead selectBusinBillHeadByTraverseDate(Date traverseDate);

    List<BusinBillHeadPlanOutVo> selectBillHeadBodyPlanOut(BaseBarcodesOutQueryBo bo);

    List<BusinBillHeadbodyInVo> selectBillHeadBodyInOutData(BusinBillHeadBodyQueryBo bo);

    public Boolean insertBusinBillhead(BusinBillhead billhead) ;

    int updateInfoBytaskCode(Long taskCode);

}
